<!DOCTYPE html>
<html ps-paginate="" ps-log-level="debug">
<head>
	<meta charset="utf-8">
	<title>ps-adjust-columns-height-000</title>
	<script id="ps-options" type="application/json">
		{
			"plugins": [
				"ps-adjust-columns-height"
			]
		}
	</script>
	<style>
		:root {
			font-family: sans-serif;
		}

		@page {
			size: A5;
		}

		#lipsum {
			columns: 2;
			--psp-ach-steps: growLineHeight 10;
		}

		p {
			margin-break: discard;
		}

		@keyframes growLineHeight {
			from {
				line-height: 1.15;
			}
			to {
				line-height: 1.2;
			}
		}
	</style>
</head>
<body>
<div id="lipsum">
	<p>
		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque non condimentum tortor, a commodo metus. Cras nec viverra nisl. Suspendisse varius, diam quis pharetra
		egestas, quam nulla auctor elit, quis hendrerit metus dui non erat. Suspendisse sagittis sit amet diam a rhoncus. Mauris auctor ultrices metus, ac vehicula nisl malesuada a.
		Etiam iaculis justo a dapibus porta. Maecenas et arcu non ante placerat mollis vitae non tortor. Suspendisse lorem ante, vulputate id lorem nec, sagittis laoreet felis. Duis
		porttitor, eros in sollicitudin luctus, justo erat dapibus neque, id commodo tortor ante et velit. Sed in auctor lectus. Vestibulum hendrerit velit at velit facilisis finibus
		at sodales odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.
	</p>
	<p>
		Mauris molestie orci odio, eget varius lacus rhoncus ac. Nulla ut orci sit amet sapien accumsan consequat. Nullam in volutpat nunc, eu commodo justo. Sed mattis dapibus justo
		vel lacinia. Maecenas nec imperdiet augue. Sed lacinia non tortor quis aliquet. Aliquam erat volutpat. Vivamus tincidunt vehicula aliquam. In vitae varius eros. Aliquam sed
		tincidunt eros. Nulla eget turpis felis. Nam nec enim quam. Nullam in bibendum nisl, id eleifend quam. Mauris ut nulla eget nibh vulputate aliquam a dictum lacus.
	</p>
</div>
</body>
</html>

